### Hierarchy

- Base
  - Server

## Index

### Constructors

- constructor

### Accessors

- config

### Methods

- fetchJson
- init
- initNameSpace

## Constructors

### constructor

- new Server(): Server

- Overrides Base.constructor

  - Defined in base/server.ts:3

  #### Returns Server

## Accessors

### config

- get config(): ConfigService

- Inherited from Base.config

  - Defined in base/base.ts:63

  #### Returns ConfigService

## Methods

### fetchJson

- fetchJson(url: string): Promise<any>

- Inherited from Base.fetchJson

  - Defined in base/base.ts:57

  #### Parameters

  - ##### url: string

  #### Returns Promise<any>

### init

- init(config: any, globalNameSpace?: string): Promise<any>

- Inherited from Base.init

  - Defined in base/base.ts:14

  #### Parameters

  - ##### config: any

  - ##### Default value globalNameSpace: string = undefined

  #### Returns Promise<any>

### initNameSpace

- initNameSpace(nameSpace: string): void

- Inherited from Base.initNameSpace

  - Defined in base/base.ts:27

  #### Parameters

  - ##### nameSpace: string

  #### Returns void